Package com.usatiuk.objects.stores

# Interface ObjectPersistentStore

All Known Implementing Classes:
  `LmdbObjectPersistentStore`, `MemoryObjectPersistentStore`

public interface ObjectPersistentStore

## Method Summary

Modifier and Type
Method
Description
`void`
`commitTx(TxManifestRaw names, long txId)`
`long`
`getFreeSpace()`
`Snapshot<JObjectKey,ByteBuffer>`
`getSnapshot()`
`long`
`getTotalSpace()`

## Method Details

### getSnapshot

Snapshot<JObjectKey,ByteBuffer> getSnapshot()

### commitTx

void commitTx(TxManifestRaw names, long txId)

### getTotalSpace

long getTotalSpace()

### getFreeSpace

long getFreeSpace()